Subject: tc-list review of Lust et al., LXX Lexicon

From: "James R. Adair" <[email-masked]>
Date: Fri, 10 Jul 1998 17:39:45 -0400 (EDT)

A new book review is available in TC: A Journal of Biblical Textual
Criticism: J. Lust, E. Eynikel, and K. Hauspie, with the collaboration of
G. Chamberlain, A Greek-English Lexicon of the Septuagint, pts. 1-2
(Bernard A. Taylor, reviewer). 

Many thanks to Bernard Taylor for his efforts, and let me remind those of
you who are currently reviewing books for TC that we hope to see your
reviews soon!  I hope, too, that some of you are working on articles for
submission to TC.  I don't want our editorial board to have nothing to do
over the summer (or winter, in the case of our South African and
Australian editors)!

Jimmy Adair
General Editor of TC: A Journal of Biblical Textual Criticism
-------------------> http://purl.org/TC <--------------------